<?php

namespace Controller;

use Traits\TResponse;
use Service\Resource as ServiceResource;
use Zeedhi\Framework\DTO;

class Resource {
    use TResponse;

    private $resourceService;

    public function __construct(ServiceResource $resourceService)
    {
        $this->resourceService = $resourceService;
    }

    public function findAllEmployeeTaskTracking(DTO\Request $request, DTO\Response $response){
        try {
            $dataSet = $this->resourceService->findAllEmployeeTaskTracking();
            $this->sendResponse($dataSet, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
	}

    public function findAllStructureManagersTaskTracking(DTO\Request $request, DTO\Response $response) {
        try {
            $dataSet = $this->resourceService->findAllStructureManagersTaskTracking();
            $this->sendResponse($dataSet, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}